	//----------TUserLikes开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TUserLikes 
        /// </summary>
		[Table("TUserLikes")]
        public partial class TUserLikes: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CreateUserID")]   
				[DataMember]  
			    public string CreateUserID  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TUserLikes 
            /// </summary>
            public class TUserLikesMap : EntityTypeConfiguration<TUserLikes>
			{
                public TUserLikesMap()
                {
					this.ToTable("TUserLikes");
												this.HasKey(t => t.ID);
													 this.Property(t => t.UserID).HasColumnName("UserID").IsRequired();
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime").IsRequired();
													 this.Property(t => t.CreateUserID).HasColumnName("CreateUserID").IsRequired();
										}
			}**/

	}

	//----------TUserLikes结束----------

	